Bug 1280365 - Unable to cancel RHCI Deployment from any of the "1. Satellite" pages of the wizard
Unable to cancel RHCI Deployment from any of the "1. Satellite" pages of the ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: jmagen@redhat.com
Dave Johnson
: Triaged
Depends On:
Blocks: rhci-sprint-12
  Show dependency treegraph
 
Reported: 2015-11-11 10:02 EST by bmorriso
Modified: 2016-10-03 15:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:12:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmorriso 2015-11-11 10:02:32 EST
Description of problem:
In the RHCI Installer wizard, if you try to cancel and exit a deployment from any of the Satellite pages (1A-1D), nothing happens. Cancel works correctly on pages in the later sections of the wizard. 

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20151104.t.0-RHCI-x86_64-dvd1.iso

How reproducible:
always

Steps to Reproduce:
1. Start a new RHCI deployment. 
2. On any page under section 1, click cancel>exit and delete
3.

Actual results:
Nothing happens

Expected results:
Return to the RHCI Deployments page

Additional info:
Comment 1 John Matthews 2015-11-17 09:22:17 EST
Joseph,

Please share your thoughts on this BZ.

Is this something we can address, I was under impression we hadn't yet created a deployment object on backend during steps 1A-1D, hence maybe that explains why cancel functionality is missing?
Comment 2 jmagen@redhat.com 2015-12-16 08:42:19 EST
Fixed.
disable cancel button on steps 1 A, B, C, until deployment is saved
https://github.com/fusor/fusor/pull/571
Comment 3 Antonin Pagac 2016-01-25 08:52:58 EST
Verified.

TP2 RC3
RHCI-6.0-RHEL-7-20160122.t.1-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.